Subject: Re: Exim, .forward and DBD::Oracle
From: "Dmitry Melekhov" <[email-masked]>
To: "Pierre A. Humblet" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 11 Apr 2003 20:36:48 +0400

Hello!

You are right.
Problem is in PATH.
If I set PATH _inside_ perl script this doesn't help...
I simulated this doing unset PATH in command line
and I have the same problem.
When I export PATH=/cygdrive/c/oracle/ora81
this is enough to load Oracle.dll.

Then I tried to setup exim as following, i.e. with PATH
$ /bin/cygrunsrv -I exim -p /usr/bin/exim -a "-bd -q15m" -e
"PATH=/cygdrive/c/oracle/ora81/bin"

Unfortunately, in perl script I still have PATH=/usr/bin
and Oracle.dll can't be loaded.
Any ideas? Thank you!

----- Original Message -----
From: "Pierre A. Humblet" <[email-masked]>
To: "Dmitry Melekhov" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, April 11, 2003 5:59 PM
Subject: Re: Exim, .forward and DBD::Oracle

> Hello Dmitry,
>
> Dmitry Melekhov wrote:
> > >
> > >
> > > Is Exim's PATH correct?  Can you print it from the script?
> >
> > Shure. It is only /usr/bin.
> > But I set my own enviroment with
> > $ENV{PATH}=...
> > with PATH /cygdrive/c/oracle/ora81/bin included.
> >
> > Do I need to set enviroment for exim?
>
> The way it works is that exim running as SYSTEM setuid
> to "tabel" and forks a delivery process.
> The PATH in the delivery process is /usr/bin,
> see "path" in sections 28.3 and 28.4 of the exim user
> guide http://www.exim.org/exim-html-4.10/doc/html/spec.html
>
> Where do you set  $ENV{PATH}=...
> Is it in the script?
>   (by the way, I don't know perl)
>
> Try to print debug information
>  (e.g. commands "mount", "id", "env") from inside the script
>   after you have set the PATH and other stuff.
> Can you execute other simple commands from inside the script?
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/